package com.fr.plugin.third.party.jsdjche.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

import java.util.concurrent.ConcurrentHashMap;

/**
 * 配置数据保存
 */
@Visualization(category = "自定义数据集配置")
public class CustomDataConfig extends DefaultConfiguration {
    public String getNameSpace() {
        return this.getClass().getName();
    }

    private static volatile CustomDataConfig config = null;

    public static CustomDataConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(CustomDataConfig.class);
        }
        return config;
    }

    @Identifier(value = "dataSyncUrl", name = "数据地址", description = "", status = Status.SHOW)
    private Conf<String> dataSyncUrl = Holders.simple("http://10.12.8.130/ssss/rest/windFarmBi/provideData");

    @Identifier(value = "dataUsername", name = "数据用户名", description = "", status = Status.SHOW)
    private Conf<String> dataUsername = Holders.simple("xxxx");

    @Identifier(value = "dataPassword", name = "数据密码", description = "", status = Status.SHOW)
    private Conf<String> dataPassword = Holders.simple("zzzz");

    public String getDataSyncUrl() {
        return dataSyncUrl.get();
    }

    public void setDataSyncUrl(String dataSyncUrl) {
        this.dataSyncUrl.set(dataSyncUrl);
    }

    public String getDataUsername() {
        return dataUsername.get();
    }

    public void setDataUsername(String dataUsername) {
        this.dataUsername.set(dataUsername);
    }

    public String getDataPassword() {
        return dataPassword.get();
    }

    public void setDataPassword(String dataPassword) {
        this.dataPassword.set(dataPassword);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        CustomDataConfig cloned = (CustomDataConfig) super.clone();
        cloned.dataSyncUrl = (Conf<String>) dataSyncUrl.clone();
        cloned.dataUsername = (Conf<String>) dataUsername.clone();
        cloned.dataPassword = (Conf<String>) dataPassword.clone();
        return cloned;
    }
}
